import pygame
from pygame.locals import *
import math

__author__="mg"
__date__ ="$May 27, 2013 1:00:30 PM$"

class PlayerSprite(pygame.sprite.Sprite):
    def __init__(self, initial_position,speed):
        pygame.sprite.Sprite.__init__(self)
        playerImage = "img/lux.png"
        self.image = pygame.image.load(playerImage).convert_alpha()
        self.rect = self.image.get_rect()
        self.rect.topleft = initial_position
        self.speed = speed
        self.lives = 5
        self.maxLives = 5

    def update(self,stageWidth,time_passed,keys):
        moved_distance = math.ceil(time_passed * self.speed)
        if keys[K_RIGHT]:
            self.rect.x += moved_distance
            if self.rect.right > stageWidth:
                self.rect.right = stageWidth
        if keys[K_LEFT]:
            self.rect.x -= moved_distance
            if self.rect.left < 0:
                self.rect.left = 0
        

